<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>PrinterViewComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/voting-material/printer/printer-view/printer-view.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnChanges" target="_blank" >OnChanges</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>printer-view</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./printer-view.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./printer-view.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#municipalitiesByPrinter">municipalitiesByPrinter</a>
                            </li>
                            <li>
                                <a href="#printerForSwissAbroad">printerForSwissAbroad</a>
                            </li>
                            <li>
                                <a href="#printerForTestingCard">printerForTestingCard</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#getPrinter">getPrinter</a>
                            </li>
                            <li>
                                <a href="#ngOnChanges">ngOnChanges</a>
                            </li>
                            <li>
                                <a href="#setMunicipalitiesByPrinter">setMunicipalitiesByPrinter</a>
                            </li>
                            <li>
                                <a href="#setPrinterForSwissAbroad">setPrinterForSwissAbroad</a>
                            </li>
                            <li>
                                <a href="#setPrinterForTestingCard">setPrinterForTestingCard</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#printerTemplate">printerTemplate</a>
                            </li>
                        </ul>
                    </td>
                </tr>




        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor()</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:15</a></div>
                            </td>
                        </tr>

            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="printerTemplate"></a>
                        <code>printerTemplate</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/PrinterTemplate.html" target="_self" >PrinterTemplate</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:15</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getPrinter"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            getPrinter
                            </b>
                            <a href="#getPrinter"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getPrinter(printerId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="50" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:50</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>printerId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnChanges"></a>
                        <span class="name">
                            <b>
                            ngOnChanges
                            </b>
                            <a href="#ngOnChanges"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnChanges()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:20</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="setMunicipalitiesByPrinter"></a>
                        <span class="name">
                            <b>
                            setMunicipalitiesByPrinter
                            </b>
                            <a href="#setMunicipalitiesByPrinter"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>setMunicipalitiesByPrinter()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:27</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="setPrinterForSwissAbroad"></a>
                        <span class="name">
                            <b>
                            setPrinterForSwissAbroad
                            </b>
                            <a href="#setPrinterForSwissAbroad"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>setPrinterForSwissAbroad()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:41</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="setPrinterForTestingCard"></a>
                        <span class="name">
                            <b>
                            setPrinterForTestingCard
                            </b>
                            <a href="#setPrinterForTestingCard"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>setPrinterForTestingCard()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:45</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="municipalitiesByPrinter"></a>
                        <span class="name">
                            <b>
                            municipalitiesByPrinter
                            </b>
                            <a href="#municipalitiesByPrinter"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>municipalitiesByPrinter:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="10" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:10</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="printerForSwissAbroad"></a>
                        <span class="name">
                            <b>
                            printerForSwissAbroad
                            </b>
                            <a href="#printerForSwissAbroad"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>printerForSwissAbroad:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="11" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:11</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="printerForTestingCard"></a>
                        <span class="name">
                            <b>
                            printerForTestingCard
                            </b>
                            <a href="#printerForTestingCard"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>printerForTestingCard:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="12" class="link-to-prism">src/app/operation/voting-material/printer/printer-view/printer-view.component.ts:12</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input, OnChanges } from &#x27;@angular/core&#x27;;
import { PrinterTemplate } from &#x27;../model/PrinterTemplate&#x27;;

@Component({
  selector: &#x27;printer-view&#x27;,
  templateUrl: &#x27;./printer-view.component.html&#x27;,
  styleUrls: [&#x27;./printer-view.component.scss&#x27;]
})
export class PrinterViewComponent implements OnChanges {
  municipalitiesByPrinter;
  printerForSwissAbroad;
  printerForTestingCard;

  @Input()
  printerTemplate: PrinterTemplate;

  constructor() {
  }

  ngOnChanges() {
    this.setMunicipalitiesByPrinter();
    this.setPrinterForSwissAbroad();
    this.setPrinterForTestingCard();
  }


  setMunicipalitiesByPrinter() {


    let allPrinterIds &#x3D; Array.from(
      new Set(this.printerTemplate.printerMunicipalityMappings.map(mapping &#x3D;&gt; mapping.printerId)));
    this.municipalitiesByPrinter &#x3D; allPrinterIds.map(printerId &#x3D;&gt; ({
      printer: this.getPrinter(printerId).name,
      municipalities: this.printerTemplate.printerMunicipalityMappings
        .filter(mapping &#x3D;&gt; mapping.printerId &#x3D;&#x3D; printerId)
        .map(mapping &#x3D;&gt; mapping.municipalityName).sort()
    }));
  }


  setPrinterForSwissAbroad() {
    this.printerForSwissAbroad &#x3D; this.getPrinter(this.printerTemplate.printerSwissAbroadMapping.printerId).name;
  }

  setPrinterForTestingCard() {
    this.printerForTestingCard &#x3D; this.getPrinter(this.printerTemplate.printerIdForPrintableTestingCard).name;
  }


  private getPrinter(printerId: string) {
    return this.printerTemplate.printerConfigurations.filter(p &#x3D;&gt; p.id &#x3D;&#x3D; printerId)[0];
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-divider&gt;&lt;/mat-divider&gt;
&lt;h2&gt;{{&quot;voting-material.printer.edit.printer-municipality-mapping.title&quot; | translate }}&lt;/h2&gt;
&lt;div class&#x3D;&quot;municipality-info&quot;&gt;
  &lt;mat-expansion-panel *ngFor&#x3D;&quot;let mp of municipalitiesByPrinter&quot;&gt;
    &lt;mat-expansion-panel-header&gt;
      &lt;mat-panel-title&gt;

        &lt;span class&#x3D;&quot;readonly-label&quot;&gt;{{&quot;voting-material.printer.edit.printer&quot; | translate }}&lt;/span&gt;
        &lt;span class&#x3D;&quot;readonly-value&quot;&gt;{{mp.printer}}&lt;/span&gt;

      &lt;/mat-panel-title&gt;
      &lt;mat-panel-description&gt;
        {{&quot;voting-material.printer.edit.printer-municipality-mapping.municipality-count&quot; | translate }}
        {{mp.municipalities.length}}
      &lt;/mat-panel-description&gt;
    &lt;/mat-expansion-panel-header&gt;

    &lt;div fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;20px&quot; class&#x3D;&quot;municipalities&quot;&gt;
      &lt;div *ngFor&#x3D;&quot;let municipalityName of mp.municipalities&quot; fxFlex&#x3D;&quot;250px&quot;&gt;
        {{municipalityName}}
      &lt;/div&gt;
    &lt;/div&gt;
  &lt;/mat-expansion-panel&gt;
&lt;/div&gt;

&lt;mat-divider&gt;&lt;/mat-divider&gt;
&lt;h2&gt;{{&quot;voting-material.printer.edit.printer-swiss-abroad-mapping.title&quot; | translate }}&lt;/h2&gt;
&lt;div&gt;
  &lt;span class&#x3D;&quot;readonly-label&quot;&gt;{{&quot;voting-material.printer.edit.printer&quot; | translate }}&lt;/span&gt;
  &lt;span class&#x3D;&quot;readonly-value&quot;&gt;{{printerForSwissAbroad}}&lt;/span&gt;

  &lt;div class&#x3D;&quot;mat-caption info&quot;&gt;
    {{&quot;voting-material.printer.edit.printer-swiss-abroad-mapping.info&quot; | translate }}
  &lt;/div&gt;
&lt;/div&gt;

&lt;mat-divider&gt;&lt;/mat-divider&gt;
&lt;h2&gt;{{&quot;voting-material.printer.edit.printer-testing-card-mapping.title&quot; | translate }}&lt;/h2&gt;
&lt;div&gt;
  &lt;span class&#x3D;&quot;readonly-label&quot;&gt;{{&quot;voting-material.printer.edit.printer&quot; | translate }}&lt;/span&gt;
  &lt;span class&#x3D;&quot;readonly-value&quot;&gt;{{printerForTestingCard}}&lt;/span&gt;
&lt;/div&gt;
&lt;div class&#x3D;&quot;mat-caption info&quot;&gt;{{&quot;voting-material.printer.edit.printer-testing-card-mapping.caption&quot; | translate }}&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./printer-view.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">span.readonly-value {
  margin-left: 5rem;
}

.info {
  margin-top: 1.5rem;
  font-style: italic;
}

.municipality-info {
  padding-bottom: 2rem;
}

.municipalities {
  margin: 4rem;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-divider></mat-divider><h2>{{"voting-material.printer.edit.printer-municipality-mapping.title" | translate }}</h2><div class="municipality-info">  <mat-expansion-panel *ngFor="let mp of municipalitiesByPrinter">    <mat-expansion-panel-header>      <mat-panel-title>        <span class="readonly-label">{{"voting-material.printer.edit.printer" | translate }}</span>        <span class="readonly-value">{{mp.printer}}</span>      </mat-panel-title>      <mat-panel-description>        {{"voting-material.printer.edit.printer-municipality-mapping.municipality-count" | translate }}        {{mp.municipalities.length}}      </mat-panel-description>    </mat-expansion-panel-header>    <div fxLayout="row wrap" fxLayoutGap="20px" class="municipalities">      <div *ngFor="let municipalityName of mp.municipalities" fxFlex="250px">        {{municipalityName}}      </div>    </div>  </mat-expansion-panel></div><mat-divider></mat-divider><h2>{{"voting-material.printer.edit.printer-swiss-abroad-mapping.title" | translate }}</h2><div>  <span class="readonly-label">{{"voting-material.printer.edit.printer" | translate }}</span>  <span class="readonly-value">{{printerForSwissAbroad}}</span>  <div class="mat-caption info">    {{"voting-material.printer.edit.printer-swiss-abroad-mapping.info" | translate }}  </div></div><mat-divider></mat-divider><h2>{{"voting-material.printer.edit.printer-testing-card-mapping.title" | translate }}</h2><div>  <span class="readonly-label">{{"voting-material.printer.edit.printer" | translate }}</span>  <span class="readonly-value">{{printerForTestingCard}}</span></div><div class="mat-caption info">{{"voting-material.printer.edit.printer-testing-card-mapping.caption" | translate }}</div></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'PrinterViewComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'PrinterViewComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
